<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$mail = $bbdd->checkParameter('mail',false,true,true);
$pass = $bbdd->checkParameter('pass');

//Comprova que s'hagin validat els paràmetres
if ($mail !== 0 && $mail !== 2 && $pass !== 0) {
	//Realitza la consulta
	$result = $bbdd->select("userIden,userEmail,userName","Users","userEmail = '".$mail."' AND userPass = '".$pass."'");
	
	//Comprova que el resultat de la consulta no sigui nul
	if (!empty($result)) {  
		//Comprova que hi hagin resultats
		if (mysqli_num_rows($result) > 0) { 
			//Resultat: Correcte
			$response["success"] = "1";  
			$response["message"] = $bbdd->resultsToJson($result);
		} else {
			$response["message"] = "Email o contrasenya incorrectes.";		
		}
	} 
} elseif($mail === 2) { 
	//Resultat: E-mail no vàlid
	$response["message"] = "L'email introduït no té un format correcte.";	
} else {	
	//Resposta: Sol·licitud no realitzada
	$response["message"] = "No s'ha pogut realitzar el login, revisa els paràmetres introduïts.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>